Bug 837261 - Network status shows unconfigured on rhevh(register to rhevm) after kernel crash
Network status shows unconfigured on rhevh(register to rhevm) after kernel crash
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Haim
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 06:23 EDT by haiyang,dong
Modified: 2016-04-26 19:47 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-10 05:37:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attached vdsm.log and vdsm-reg.log (16.98 KB, application/x-compressed-tar)
2012-08-08 01:33 EDT, haiyang,dong
no flags Details
screenshot of reboot process inf (57.58 KB, image/png)
2012-08-10 00:15 EDT, haiyang,dong
no flags Details

  None (edit)
Description haiyang,dong 2012-07-03 06:23:00 EDT
Description of problem:
If doesn't configure the Kernel Dump Page, once the kernel crash and reboot rhev-h that has register to rhevm, the network status showed unconfigured.

the workaround is reboot it again, the network can up.

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.3-20120702.0.el6_3

How reproducible:
50%

Severity: medium


Steps to Reproduce:
1. install rhevh
2. configure rhevh network by using dhcp.
3. register rhevh to rhevm
4. F2 to drop shell
5. # echo "c" > /proc/sysrq-trigger to make the kernel crash
6.reboot rhevh
7.Enter the Network page on TUI

Actual results:
The rhev-h lost the network configuration after reboot it for kernel crash,But if reboot it again, the network status shows configured.

Expected results:
The rhev-h should keep the network configuration after reboot it for kernel crash

Additional info:
a. Before running step 5, if Configured kernel dump, such as nfs: 10.66.9.237:/var/crash,
the rhev-h could  keep the network configuration after reboot it for kernel crash
b.
Before kernel crash:
#ls /etc/sysconfig/network-scripts/ifcfg-*:ifcfg-rhevm,ifcfg-p8p1,ifcfg-lo

#ls /sys/class/net/*:
bond0/           bond3/           lo/              
bond1/           bond4/           p8p1/            
bond2/           bonding_masters  rhevm/

After kernel crash:
#ls /etc/sysconfig/network-scripts/ifcfg-* :ifcfg-rhevm,ifcfg-p8p1,ifcfg-lo

#ls /sys/class/net/*:
bond0/           bond3/           lo/              
bond1/           bond4/           eth0/            
bond2/           bonding_masters  rhevm/
Comment 2 RHEL Product and Program Management 2012-07-10 02:33:11 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 21:51:41 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 Dan Kenigsberg 2012-08-07 04:59:07 EDT
I'm not sure in what stage of registration has the kernel crash occured. Could you provide the content of vdsm.log and vdsm-reg.log ? What was the content of /var/lib/vdsm/netconfback just before the crash? And of /config/etc/sysconfig/network-scripts/ and /etc/sysconfig/network-scripts/ ?
Comment 6 haiyang,dong 2012-08-08 01:33:07 EDT
Created attachment 602947 [details]
attached vdsm.log and vdsm-reg.log

provide the content of vdsm.log and vdsm-reg.log
Comment 7 haiyang,dong 2012-08-08 01:44:40 EDT
(In reply to comment #5)
> I'm not sure in what stage of registration has the kernel crash occured.
> Could you provide the content of vdsm.log and vdsm-reg.log ? What was the
> content of /var/lib/vdsm/netconfback just before the crash? And of
> /config/etc/sysconfig/network-scripts/ and /etc/sysconfig/network-scripts/ ?

there was no files in /var/lib/vdsm/netconfback just before the crash.
List files in /config/etc/sysconfig/network-scripts/ before kernel crash:

[root@dell-pet105-02 admin]# ls /etc/sysconfig/network-scripts/*
/etc/sysconfig/network-scripts/ifcfg-lo
/etc/sysconfig/network-scripts/ifcfg-p1p1
/etc/sysconfig/network-scripts/ifcfg-p8p1
/etc/sysconfig/network-scripts/ifcfg-rhevm
/etc/sysconfig/network-scripts/ifdown
/etc/sysconfig/network-scripts/ifdown-bnep
/etc/sysconfig/network-scripts/ifdown-eth
/etc/sysconfig/network-scripts/ifdown-ippp
/etc/sysconfig/network-scripts/ifdown-ipv6
/etc/sysconfig/network-scripts/ifdown-isdn
/etc/sysconfig/network-scripts/ifdown-post
/etc/sysconfig/network-scripts/ifdown-ppp
/etc/sysconfig/network-scripts/ifdown-routes
/etc/sysconfig/network-scripts/ifdown-sit
/etc/sysconfig/network-scripts/ifdown-tunnel
/etc/sysconfig/network-scripts/ifup
/etc/sysconfig/network-scripts/ifup-aliases
/etc/sysconfig/network-scripts/ifup-bnep
/etc/sysconfig/network-scripts/ifup-eth
/etc/sysconfig/network-scripts/ifup-ippp
/etc/sysconfig/network-scripts/ifup-ipv6
/etc/sysconfig/network-scripts/ifup-isdn
/etc/sysconfig/network-scripts/ifup-plip
/etc/sysconfig/network-scripts/ifup-plusb
/etc/sysconfig/network-scripts/ifup-post
/etc/sysconfig/network-scripts/ifup-ppp
/etc/sysconfig/network-scripts/ifup-routes
/etc/sysconfig/network-scripts/ifup-sit
/etc/sysconfig/network-scripts/ifup-tunnel
/etc/sysconfig/network-scripts/ifup-wireless
/etc/sysconfig/network-scripts/init.ipv6-global
/etc/sysconfig/network-scripts/net.hotplug
/etc/sysconfig/network-scripts/network-functions
/etc/sysconfig/network-scripts/network-functions-ipv6
Comment 8 Dan Kenigsberg 2012-08-09 06:57:50 EDT
Let me try to understand the bug here. After reboot you have eth1 up, instead of the expected p8p1? Does eth1 show in `brctl show`?

In comment 7, there's suddenly ifcfg-p1p1, which was not mentioned before. Where did it come from?

What is its content? And that of ifcfg-p8p1?
Comment 9 haiyang,dong 2012-08-09 23:38:28 EDT
(In reply to comment #8)
> Let me try to understand the bug here. After reboot you have eth0 up,
> instead of the expected p8p1? Does eth1 show in `brctl show`?
> 
> In comment 7, there's suddenly ifcfg-p1p1, which was not mentioned before.
> Where did it come from?
> 
> What is its content? And that of ifcfg-p8p1?

Please don't care about ifcfg-p1p1, after kernel crash, then reboot, eth1 exist in the /sys/class/net/, instead of the expected p8p1.

Before kernel crash:
#ls /etc/sysconfig/network-scripts/ifcfg-*:ifcfg-rhevm,ifcfg-p8p1,ifcfg-lo

#ls /sys/class/net/*:
bond0/           bond3/           lo/              
bond1/           bond4/           p8p1/            
bond2/           bonding_masters  rhevm/

[root@dell-pet105-02 admin]# brctl show
bridge name	bridge id		STP enabled	interfaces
rhevm		8000.0022192d4ba3	no		p8p1


After kernel crash:
#ls /etc/sysconfig/network-scripts/ifcfg-* :ifcfg-rhevm,ifcfg-p8p1,ifcfg-lo

#ls /sys/class/net/*:
bond0/           bond3/           lo/              
bond1/           bond4/           eth1/            
bond2/           bonding_masters  rhevm/
[root@dell-pet105-02 admin]# brctl show
bridge name	bridge id		STP enabled	interfaces
rhevm		8000.000000000000	no
Comment 10 haiyang,dong 2012-08-10 00:15:50 EDT
Created attachment 603409 [details]
screenshot of reboot process inf

attached screenshot of reboot process information after kernel crash
Comment 14 Dan Kenigsberg 2013-02-10 05:37:23 EST
I share your sentiment, Simon.

Note You need to log in before you can comment on or make changes to this bug.